Bug 1978105 (CVE-2021-29464) - CVE-2021-29464 exiv2: Heap-based buffer overflow in Exiv2::Jp2Image::encodeJp2Header
Summary: CVE-2021-29464 exiv2: Heap-based buffer overflow in Exiv2::Jp2Image::encodeJp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-29464
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1982188 1982189 1989554 1989555 1989860
Blocks: 1982181
TreeView+ depends on / blocked
 
Reported: 2021-07-01 07:04 UTC by Dhananjay Arunesh
Modified: 2022-04-17 21:28 UTC (History)
4 users (show)

Fixed In Version: exiv2 0.27.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 22:22:03 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4173 0 None None None 2021-11-09 17:34:38 UTC

Description Dhananjay Arunesh 2021-07-01 07:04:13 UTC
Exiv2 is a command-line utility and C++ library for reading, writing, deleting, and modifying the metadata of image files. A heap buffer overflow was found in Exiv2 versions v0.27.3 and earlier. The heap overflow is triggered when Exiv2 is used to write metadata into a crafted image file. An attacker could potentially exploit the vulnerability to gain code execution, if they can trick the victim into running Exiv2 on a crafted image file. Note that this bug is only triggered when writing the metadata, which is a less frequently used Exiv2 operation than reading the metadata. For example, to trigger the bug in the Exiv2 command-line application, you need to add an extra command-line argument such as `insert`. The bug is fixed in version v0.27.4.

References:
https://github.com/Exiv2/exiv2/commit/f9308839198aca5e68a65194f151a1de92398f54
https://github.com/Exiv2/exiv2/security/advisories/GHSA-jgm9-5fw5-pw9p

Comment 1 Michael Kaplan 2021-07-14 12:03:55 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1982188]


Created mingw-exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1982189]

Comment 4 errata-xmlrpc 2021-11-09 17:34:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4173 https://access.redhat.com/errata/RHSA-2021:4173

Comment 5 Product Security DevOps Team 2021-11-09 22:22:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-29464


Note You need to log in before you can comment on or make changes to this bug.